﻿@model SelectedSchoolsViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Invoices Report
            </h1>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div ng-if="MC.stateParams.reportName != 'ChargeDiscount' && MC.stateParams.reportName != 'Roster' && MC.stateParams.reportName != 'InstructorRoster' && MC.stateParams.reportName != 'StudentAttendance' && MC.stateParams.reportName != 'SignOutSheet'">
        <form ng-submit="runReport()" class="no-margin">
            <p>
                Do you want to run this report on all the schools in this season or only some schools? <br />
                <strong class="fg-red">Running the report on all schools might take a few minutes to complete.</strong>
            </p>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsAllSchools)" name="isallprogram" value="true" type="radio" ng-change="updateChosenScope()" />
                        <span class="check"></span>
                        All schools
                    </label>
                </div>
                <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsAllSchools)" name="isallprogram" value="false" type="radio" ng-change="updateChosenScope()" />
                        <span class="check"></span>
                        Selected schools
                    </label>
                </div>
            </div>
            <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllSchools == 'false'">
                <select chosen multiple
                        ng-model="Model._SelectedSchools"
                        data-placeholder="Select some schools"
                        ng-options="obj.Value as obj.Text for obj in Model.AllSchools"></select>
            </div>

            <hr />

            <button type="submit" class="success large place-right button" ng-click="RunReport()">Run</button>
            <div class="clearfix"></div>
        </form>
    </div>
</div>





